> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Topic

> Delete a topic following

## 说明

**URL**: `/v1/followings/topics/{follow_id}`
**方法**: `DELETE`\
**描述**: 删除话题，取消并删除指定的话题关注。

### 请求参数

| 参数名        | 类型  | 必填 | 位置   | 描述       |
| ---------- | --- | -- | ---- | -------- |
| follow\_id | str | 是  | path | 话题关注 ID。 |

### 响应参数

| 参数名     | 类型   | 描述      |
| ------- | ---- | ------- |
| status  | bool | 操作是否成功。 |
| message | str  | 提示信息。   |

### 请求示例

**cURL**

```bash theme={null}
curl -X DELETE https://api.reportify.cn/v1/followings/topics/2002 \
-H "Authorization: Bearer YOUR_API_KEY"
```

**Python**

```python theme={null}
import requests

follow_id = "2002"
url = f"https://api.reportify.cn/v1/followings/topics/{follow_id}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY"
}

response = requests.delete(url, headers=headers)
print(response.json())
```

### 响应示例

```json theme={null}
{
  "status": true,
  "message": "success"
}
```

### 错误响应

| 状态码 | 描述        |
| --- | --------- |
| 422 | 请求参数验证失败。 |


## OpenAPI

````yaml DELETE /v1/followings/topics/{follow_id}
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/followings/topics/{follow_id}:
    delete:
      tags:
        - openapi-followings
      summary: Delete Topic
      description: Delete a topic following
      operationId: delete_topic_reportify_api_v1_followings_topics__follow_id__delete
      parameters:
        - description: Follow ID
          required: true
          schema:
            type: string
            title: Follow Id
            description: Follow ID
          name: follow_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    StatusMessage:
      properties:
        status:
          type: boolean
          title: Status
          default: true
        message:
          type: string
          title: Message
          default: success
      type: object
      title: StatusMessage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````